#property copyright "Alexey Burnakov"

#define MAGICMA  20050610

extern double w11 = 0.001;
extern double w12 = 0.001;
extern double w13 = 0.001;
extern double w14 = 0.001;
extern double w15 = 0.001;
extern double w21 = 0.001;
extern double w22 = 0.001;
extern double w23 = 0.001;
extern double w24 = 0.001;
extern double w25 = 0.001;
extern double w31 = 0.001;
extern double w32 = 0.001;

extern double SOpen = 0;
extern double SClose = 0;


void CheckForOpen()
{

double i1 = (Open[1]-Open[3])*1000;
double i2 = (Open[3]-Open[5])*1000;
double i3 = (Open[5]-Open[7])*1000;
double i4 = (Open[7]-Open[9])*1000;
double i5 = (Open[9]-Open[11])*1000;

double N1 = (MathPow(2.71828183,(2*(i1*w11+i2*w12+i3*w13+i4*w14+i5*w15)))-1)/(MathPow(2.71828183,(2*(i1*w11+i2*w12+i3*w13+i4*w14+i5*w15)))+1);
double N2 = (MathPow(2.71828183,(2*(i1*w21+i2*w22+i3*w23+i4*w24+i5*w25)))-1)/(MathPow(2.71828183,(2*(i1*w21+i2*w22+i3*w23+i4*w24+i5*w25)))+1);
double Output = (MathPow(2.71828183,(2*(N1*w31+N2*w32)))-1)/(MathPow(2.71828183,(2*(N1*w31+N2*w32)))+1);


   if (Output > SOpen) OrderSend(Symbol(),OP_BUY,0.1,Ask,3,0,0,"",MAGICMA,0,Blue);
   
}

void CheckForClose()
{

double i1 = (Open[1]-Open[3])*1000;
double i2 = (Open[3]-Open[5])*1000;
double i3 = (Open[5]-Open[7])*1000;
double i4 = (Open[7]-Open[9])*1000;
double i5 = (Open[9]-Open[11])*1000;

double N1 = (MathPow(2.71828183,(2*(i1*w11+i2*w12+i3*w13+i4*w14+i5*w15)))-1)/(MathPow(2.71828183,(2*(i1*w11+i2*w12+i3*w13+i4*w14+i5*w15)))+1);
double N2 = (MathPow(2.71828183,(2*(i1*w21+i2*w22+i3*w23+i4*w24+i5*w25)))-1)/(MathPow(2.71828183,(2*(i1*w21+i2*w22+i3*w23+i4*w24+i5*w25)))+1);
double Output = (MathPow(2.71828183,(2*(N1*w31+N2*w32)))-1)/(MathPow(2.71828183,(2*(N1*w31+N2*w32)))+1);

 for(int h=0;h<OrdersTotal();h++)
      {
      if(OrderSelect(h,SELECT_BY_POS,MODE_TRADES)==false)        break;
      
      if(OrderType()==OP_SELL)
         {
         //if (TimeCurrent()-OrderOpenTime()>=CH) OrderClose(OrderTicket(),OrderLots(),Ask,3,White);
         break;
         }
         
      if(OrderType()==OP_BUY)
         {
         if (Output < SClose) OrderClose(OrderTicket(),OrderLots(),Bid,3,White);
         break;
         }
         
      }
      
}


int start()
{

   if(OrdersTotal()==0) CheckForOpen();
   else
   CheckForClose();

}